Fetch market by external reference
curl --request GET \
--url https://sandbox.api.btdx.io/markets/by-reference/{source}/{reference} \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"markets": [
{
"id": "<string>",
"ownerAppId": "<string>",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"marketType": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"marketValue": "<string>",
"marketDiscriminator": "<string>",
"currencyId": "<string>",
"inPlayDelay": 123,
"crossMatchingEnabled": true,
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"marketOutcomes": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"marketTypes": [
{
"id": "<string>",
"outcomesRange": {
"min": 123,
"max": 123
},
"winnersRange": {
"min": 123,
"max": 123
}
}
],
"marketOutcomes": [
{
"id": "<string>",
"title": "<string>",
"ordering": 123,
"winner": true,
"participant": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
],
"participants": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"active": true
}
]
}Markets
Fetch market by external reference
GET
/
markets
/
by-reference
/
{source}
/
{reference}
Fetch market by external reference
curl --request GET \
--url https://sandbox.api.btdx.io/markets/by-reference/{source}/{reference} \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"markets": [
{
"id": "<string>",
"ownerAppId": "<string>",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"marketType": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"marketValue": "<string>",
"marketDiscriminator": "<string>",
"currencyId": "<string>",
"inPlayDelay": 123,
"crossMatchingEnabled": true,
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"marketOutcomes": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"marketTypes": [
{
"id": "<string>",
"outcomesRange": {
"min": 123,
"max": 123
},
"winnersRange": {
"min": 123,
"max": 123
}
}
],
"marketOutcomes": [
{
"id": "<string>",
"title": "<string>",
"ordering": 123,
"winner": true,
"participant": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
],
"participants": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"active": true
}
]
}Headers
Header with the accessToken for the current session
Path Parameters
external reference source, e.g: BF for Betfair
external reference id
Query Parameters
Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I